ua-compatible

Set the X-UA-Compatible header in an express middleware

Downloads in past

Stats

StarsIssuesVersionUpdatedCreatedSize
ua-compatible
100.0.09 years ago9 years agoMinified + gzip package size for ua-compatible in KB

Readme

ua-compatible
Set the X-UA-Compatible header in an express middleware.
Forces IE to use the most up to date rendering engine possible, default to chrome-frame if installled
build status

Installation

npm install ua-compatible --save

Usage

var express = require('express')
var app = express()
var uaCompatible = require('ua-compatible')

app.use(uaCompatible)

app.get('/', function (req, res) {
  res.get('X-UA-Compatible') // === 'IE=edge,chrome=1'
})

app.listen(3000)

Credits

Adam Duncan